POST
/detector/{detectorId}/findings/statistics
http://guardduty.{region}.amazonaws.com/detector/{detectorId}/findings/statisticsLists Amazon GuardDuty findings statistics for the specified detector ID.
Access Token Required: API Key
Path Parameters
detectorIdstringrequired
The ID of the detector that specifies the GuardDuty service whose findings' statistics you want to retrieve.
Body Params
findingCriteriaobject
Contains information about the criteria used for querying findings.
findingStatisticTypesarrayrequired
The types of finding statistics to retrieve.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/findings/statistics' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}